import { useRequest } from '@/use/useHttp'

/**
 *  预存款信息获取
 * @returns
 */
export const depositInfoApi = () => {
  return useRequest({
    url: '/v1/mall/rechargeApplication',
    method: 'get',
  })
}

/**
 *  预存款收支明细
 * @returns
 */
export const depositListApi = () => {
  return useRequest({
    url: '/v1/mall/rechargeApplication/list',
    method: 'get',
  })
}

/**
 *  预存款收支明细详情
 * @returns
 */
export const depositDetailApi = () => {
  return useRequest({
    url: '/v1/mall/rechargeApplication/order',
    method: 'get',
  })
}
